Retrieve scrape result
curl --request GET \
--url https://api.olostep.com/v1/scrapes/{scrape_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/scrapes/{scrape_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/scrapes/{scrape_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"url_to_scrape": "<string>",
"result": {
"html_content": "<string>",
"markdown_content": "<string>",
"json_content": "<string>",
"screenshot_hosted_url": "<string>",
"html_hosted_url": "<string>",
"markdown_hosted_url": "<string>",
"links_on_page": [
"<string>"
],
"page_metadata": {
"status_code": 123,
"title": "<string>"
},
"size_exceeded": true
},
"credits_consumed": 123,
"cost_usd": 123
}Scrapes
Get Scrape
Can be used to retrieve response for a scrape.
GET
/
v1
/
scrapes
/
{scrape_id}
Retrieve scrape result
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
Unique identifier for the scrape to be retrieved.
Response
Successful response with the scrape result.
Scrape ID
The kind of object. "scrape" for this endpoint.
Created epoch
User-defined metadata.
The URL that was scraped.
Show child attributes
Show child attributes
Number of credits consumed by this request. Populated after execution completes. Credits are the source of truth for billing.
Estimated cost in USD for this request. Populated after execution completes. Calculated from credits consumed and your plan rate — 99% accurate, but credits_consumed is the authoritative value.
Was this page helpful?